Package org.apache.ignite.spi.communication.tcp.messages

## Class RecoveryLastReceivedMessage

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.messages.RecoveryLastReceivedMessage

- All Implemented Interfaces:
    `Message`

      public class RecoveryLastReceivedMessage
      extends Object
      implements Message

  Recovery acknowledgment message.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `ALREADY_CONNECTED` |
    `static int` | `MESSAGE_FULL_SIZE` | Full message size (with message type) in bytes.
    `static long` | `NEED_WAIT` | Need wait.
    `static long` | `NODE_STOPPING` |
    `static long` | `UNKNOWN_NODE` | Initiator node is not in current topogy.

    - ### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

      `DIRECT_TYPE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecoveryLastReceivedMessage()` | Default constructor.
    `RecoveryLastReceivedMessage​(long rcvCnt)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short` | `directType()` | Gets message type.
    `long` | `received()` |
    `void` | `received​(long rcvCnt)` |
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

      `readFrom, writeTo`

- - ### Field Detail

    - #### ALREADY_CONNECTED

          public static final long ALREADY_CONNECTED

      See Also:
        Constant Field Values

    - #### NODE_STOPPING

          public static final long NODE_STOPPING

      See Also:
        Constant Field Values

    - #### NEED_WAIT

          public static final long NEED_WAIT

      Need wait.
      See Also:
        Constant Field Values

    - #### UNKNOWN_NODE

          public static final long UNKNOWN_NODE

      Initiator node is not in current topogy.
      See Also:
        Constant Field Values

    - #### MESSAGE_FULL_SIZE

          public static final int MESSAGE_FULL_SIZE

      Full message size (with message type) in bytes.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RecoveryLastReceivedMessage

          public RecoveryLastReceivedMessage()

      Default constructor.

    - #### RecoveryLastReceivedMessage

          public RecoveryLastReceivedMessage​(long rcvCnt)

      Parameters:
        `rcvCnt` - Number of received messages.

  - ### Method Detail

    - #### received

          public long received()

      Returns:
        Number of received messages.

    - #### received

          public void received​(long rcvCnt)

      Parameters:
        `rcvCnt` - Number of received messages.

    - #### directType

          public short directType()

      Gets message type.
      Specified by:
        `directType` in interface `Message`
      Returns:
        Message type.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`